For the latest news and information visit The GNU Crypto project

## gnu.crypto.sasl
Class NoSuchMechanismException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--gnu.crypto.sasl.NoSuchMechanismException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchMechanismException
extends SaslException

A checked exception thrown to indicate that a designated SASL mechanism implementation was not found.

See Also:
  Serialized Form

Constructor Summary
`NoSuchMechanismException(java.lang.String arg)` Constructs a `NoSuchMechanismException` with the specified detail message.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchMechanismException

    public NoSuchMechanismException(java.lang.String arg)

  Constructs a `NoSuchMechanismException` with the specified detail message. In the case of this exception, the detail message designates the offending mechanism name.

Parameters:
  `arg` - the detail message, which in this case is the offending mechanism name.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.